Unable to install a Computer Vision library called VPI (Vision Programming Interface) with JetPack 4.3

Hi,

I’m trying to flash my Jetson AGX Xavier with JetPack 4.3 using NVIDIA SDK Manager. An error occurred while installing VPI (Jetson SDK Components >> Computer Vision >> VPI). Following is the error message displayed by the SDK Manager:

Error in local apt settings
SDK Manager received errors while using apt commands on your system.

Please check that the Ubuntu local apt repository is working well on your local system including dependencies of packages.

Review SDK Manager terminal for the specific error/s.

Following is the full error log of installation of VPI component:

15:43:31 ERROR : VPI : Run commands failed at step PreInstall: command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_VPI_TARGET_POST_INSTALL_COMP.sh smartcow@192.168.0.120:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no smartcow@192.168.0.120 "~/tmp_NV_VPI_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_VPI_TARGET_POST_INSTALL_COMP.sh" finished with error
15:43:31 ERROR : VPI : command terminated with error
15:43:31 ERROR : VPI : install 'VPI' failure, command < cd '/home/pranjal/nvidia/nvidia_sdk/JetPack_4.3_Linux_P2888' ; '/opt/nvidia/sdkmanager/resources/app/output/installUtils/adapter' -a='install' -c='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' -i='NV_VPI_TARGET_POST_INSTALL_COMP' -v='0.1.0' -l='/home/pranjal/nvidia/nvidia_sdk/JetPack_4.3_Linux_P2888' -L='/home/pranjal/.nvsdkm/logs/JetPack_4.3_Linux' -p='7862' -t='P2888' -e='/home/pranjal/Downloads/nvidia/sdkm_downloads/vpi-dev-0.1.0-r2-l4t-aarch64.deb' > terminated with error

What could be the cause of this error?

Also, after my fresh installation of JetPack 4.3 when I tried to check if CUDA is installed correctly with the following code, there was no output.
Input:

nvcc --version

Output:

-bash: nvcc: command not found

I could see the CUDA was installed correctly if I go to /usr/local/cuda-10.0/bin.
Input:

nvcc --version

Output:

nvcc: NVIDIA (R) Cuda compiler driver
Copyright (c) 2005-2019 NVIDIA Corporation
Built on Mon_Mar_11_22:13:24_CDT_2019
Cuda compilation tools, release 10.0, V10.0.326

So, I needed to set PATH and LD_LIBRARY_PATH variables.
export PATH=/usr/local/cuda-10.0/bin:$PATH
export LD_LIBRARY_PATH=/usr/local/cuda-10.0/lib64:$LD_LIBRARY_PATH

I found a similar question here:
https://devtalk.nvidia.com/default/topic/1068584/jetson-agx-xavier/jetpack-4-3-l4t-r32-3-1-released/post/5415075/#reply

Hi,

Could you share the installation log with us?

Click the “EXPORT LOGS” button in the STEP 04 page.
And the log file can be found in the download folder like this::
/home/nvidia/Downloads/nvidia/sdkm_downloads/SDKM_logs_JetPack_4.3_Linux_for_Jetson_AGX_Xavier_8GB_2019-12-31_11-11-05.zip

For the nvcc issue, do you login the device with the same account as sdkmanager.
nvcc is exported to the .bashrc of the default account.
And this procedure may not be correctly applied if some error occurs during the installation process.

Thanks.

Thanks, AastaLLL!

I’m attaching the log files for SDKM_logs_JetPack_4.3_Linux_for_Jetson_AGX_Xavier_2019-12-31_09-37-57 here:
https://www.dropbox.com/sh/sw612tymfxvqumz/AADyHDu6K1RahG_2UTYMwx7Ba?dl=0

This morning I reinstalled the JetPack and nvcc --version is showing the expected output.

I appreciate your help!

Hi,

Thanks for the update.

Does the VPI error occur again?
Or the VPI installation is also good in the re-installation?

Thanks.

I am facing the same problem, I previously posted about it here https://devtalk.nvidia.com/default/topic/1068584/jetson-agx-xavier/jetpack-4-3-l4t-r32-3-1-released/post/5415075/#reply

This VPI package doesn’t seem to install, I tried it several times but still no improvement initially I thought this could be due to my Linux environment so I reinstalled my OS.

I am using GTX1060 with all compatible drivers

Could you please help us out debug where’s the exact problem is.

Hi, AastaLLL!

Yes, the VPI error happened again. The AGX was last flashed on Dec 31, 2019.

I’ve shared the installation log files for the VPI in comment #3.

Although, the issue of the nvcc --version was resolved with the fresh installation.

Hi,

Sorry for the late reply.

It looks like there are some issue when installing cmake on your environment.
Let me check this with our internal team and update more information with you.

Thanks.

Hi,

Could you run following commands and try it again?

sudo rm -rf /var/lib/apt/lists/*
sudo apt-get update

Thanks.

Thanks, AastaLLL!

I installed the JetPack again on Xavier, and this time there was no error while installing it.

Thanks for your help!